Latest Breaking News ( LBN ) for the Agent Pack Release

Article:TECH46455  |  Created: 2006-01-22  |  Updated: 2014-10-20  |  Article URL http://www.symantec.com/docs/TECH46455
Article Type
Technical Solution

Product(s)

Environment

Issue



Latest Breaking News ( LBN ) for the Agent Pack Release


Solution



Issues relating to the Agent Pack 3Q2014 release

Patch for CiscoUCS agent

The updated patch for the CiscoUCS agent is available in the following location:

https://sort.symantec.com/patch/detail/9131 

Summary of incidents fixed in the patch

Patch ID: 6.1.1.0

  • 3626018 (3640824): Clean entry point of the CiscoUCS resource is invoked when the ucsha refresh command is executed with invalid data in the UCS configuration file
  • 3628129 (3635281): Disassociation and association operations of a faulted service profile fails during AUTOMATIC failover.
  • 3639125 (3640818): During intelligent failover, an available blade server with a fault code specified in the UCS configuration file gets chosen as a target for failover.

 

Issues relating to the Agent Pack 2Q2012 release

Known issue in the SRDF agent

Problem
After a switchback operation from the secondary site to the primary site, the DiskGroup resource might not come online, although the SRDF resource comes online. This problem might occur when the SwapRoles attribute is disabled (value set to False).

Resolution
After performing switchback, if the DiskGroup resource faults, clear the fault and manually run the following command:

symrdf -g <Device_Group_name> failback

Bring the DiskGroup resource online. 

Known issue in the SQL Server  agent  for Windows

Problem

If you configure a secure cluster, the VCS Cluster Configuration Wizard (VCW) sets the Startup Type of the VCS Authentication Service (vcsauthserver) to
Automatic. However, after installing the 2Q2012 agent pack, the Startup Type of the VCS Authentication Service is reset to Manual. The service fails to start
automatically after it is stopped for some reason or after the system restarts. As a result, the Java GUI fails to connect to the server and the following error is
reported: “Could not connect to the server using default credentials.”

You need to start the VCS Authentication Service manually.

Resolution
To address this issue, set the Startup Type of the VCS Authentication Service to Automatic by using the Services administrative tool.
Optionally, you may use the following CLI:

To set the Startup Type of the service:

sc config vcsauthserver start= auto

To start the service:

net start vcsauthserver      

Documentation errata

Veritas™ High Availability Agent for SAP NetWeaver Installation and Configuration Guide for AIX, HP-UX, Linux, and Solaris

The agent version number is incorrect. The correct version number of the SAPNetWeaver agent (SAPNW04) is 5.0.14.0.

The following additions must be made to the Agent Pack Release Notes

VCS database agents

VCS database agents include the following changes in Agent Pack 2Q2012:

SQL Server

A new agent for SQL Server 2012 on the Windows operating system. The agent for SQL Server monitors the SQL Server 2012 instance and its services on a
VCS cluster to ensure high availability.
The agent can start or stop the server configuration based on external events, such as failure or unavailability of other required resources.

VCS replication agents

EMC SRDF

The agent for EMC SRDF has been enhanced to use SYMCLI commands optimally.

Oracle Data Guard

The agent for Oracle Data Guard now supports replicated data clusters (RDCs) on the Solaris SPARC operating system.
 

Issues relating to the Agent Pack 4Q2011 release

Known issue in the EMC SRDF agent on HP-UX,  Solaris

Problem: On the HP-UX and Solaris platforms, adding SRDF resource types using  the addSRDFTypes.sh script fails.

Resolution:  To add the SRDF resource type, stop HAD, and copy SRDFTypes.cf from the /etc/VRTSvcs/conf directory to the /etc/VRTSvcs/conf/config directory.

Documentation errata

Network Appliance SnapMirror agent on AIX, HP-UX, Linux, and Solaris
The Network Appliance SnapMirror agent now supports VCS 6.0.

 HP EVA agent on Windows
The agent version number mentioned in the Installation and Configuration Guide for the HP EVA agent on Windows is incorrect. The correct version number is 5.0.01.0.

Hitachi/HP XP 3 Data Center Replication agent on Windows
The Release Notes for Agent Pack 4Q2011 mentions that the Hitachi/HP XP 3 Data Center Replication agent supports VCS 6.0. This statement is incorrect.

IBM SVCCopyServices agent on AIX, HP-UX, Linux, Solaris
The correct resource type definition for the agent is:

type SVCCopyServices (

        static keylist SupportedActions = { update, PreSwitch }

        static int OfflineMonitorInterval = 0

        static int InfoInterval = 300

        static int OnlineTimeout = 600

        static int OpenTimeout = 180

        static int RestartLimit = 1

        static str ArgList[] = { SSHBinary, SSHPathToIDFile, GroupName, IsConsis

tencyGroup, SVCClusterIP, SVCUserName, DisconnectTakeover, StopTakeover }

        str SSHBinary = "/usr/bin/ssh"

        str SSHPathToIDFile

        str GroupName

        int IsConsistencyGroup = 1

        str SVCClusterIP

        str SVCUserName = "admin"

        int DisconnectTakeover = 0

        int StopTakeover = 0

        temp str VCSResLock

)

 

The agent for MySQL on Linux

The agent for MySQL supports Red Hat Enterprise Linux 6 (RHEL 6).
 

Issues relating to the 2Q2011 AgentPack release

Symantec ApplicationHA 5.1 SP2 for Linux agents
 
About OEL 5.0 support for Apache HTTP Server
 
On virtual machines running Oracle Enterprise Linux (OEL) 5.0, you cannot use the ApplicationHA 2Q2011 Agent Pack installer to install the latest ApplicationHA agents. On such virtual machines, the Application Monitoring Configuration Wizard does not list Apache HTTP Server as a supported application. If you want to monitor the Apache HTTP Server application on virtual machines running OEL 5.0, you must manually install the VRTSvcsvmw RPM from the 2Q2011 Agent Pack. You can download the Agent Pack from:  sort.symantec.com/agents 
 
To install the latest VRTSvcsvmw RPM, perform the following steps:
 
1.            Navigate to the rpms directory:
                # cd 2Q11_Agent_Pack/cd1/linux/rhel5_x86_64/application_ha/5.1/rpms
 
2.            Install the VRTSvcsvmw RPM:
 
                Note: In the following command, ensure that you use the upgrade RPM option as indicated below. Do not instead use the erase (“rpm –e…”) option,          followed by the install (“rpm –i…”) option.
 
                # rpm –Uvh VRTSvcsvmw*.rpm
 
 
 
Documentation Errata

VCS Application agents

 The Veritas High Availability agent for PostgreSQL

The Veritas High Availability agent for PostgreSQL does not support Solaris x64. In the documentation, references to Solaris x64 support are incorrect.
 
VCS Replication agents
The Veritas High Availability agent for Oracle Data Guard
The agent version of the Oracle Data Guard agent on Solaris is 5.0.09.0, whereas the agent version of the Oracle Data Guard agent on HP-UX is 5.0.08.0.
 
The Veritas High Availability agent for IBM SVCCopyServices
A correction to the Known Issues section of the Release Notes - The following known issue in the IBM SVCCopyServices agent is applicable only to LVM on the AIX operating system:
In some cases, the recreatevg command fails to create a volume group on the IBM FlashCopy target disks. As a result, the SVCCopyServicesSnap resource fails to come online.
 
Symantec ApplicationHA 5.1 SP2 for Windows agents
The SAP agent
The Symantec ApplicationHA agent for SAP NetWeaver is also supported on Windows Server 2008 R2.
 
The PrintShare agent
The PrintShare agent is supported only on 64-bit.
 
The SQL Server 2005 agent
·         The SQL Server 2005 agent is supported only on 64-bit.
·         The SQL Server 2005 agent is not supported on Windows Server 2008 R2.

 

Issues relating to the Q42010 release

Symantec ApplicationHA 5.1 for Linux
If you want to monitor WebLogic Server instances on a virtual machine by using Symantec ApplicationHA 5.1 for Linux, then you must not install Agent Pack 4Q2010 on the virtual machine.

SAP NetWeaver agent for Windows documentation issue
The 4Q2010 Agent Pack contains an older version of the 'Veritas High Availability Agent for SAP NetWeaver Installation and Configuration Guide for Windows'. The correct version of this guide is available at the following location: www.symantec.com/docs/DOC3593

SAP Web Application Server agent for Windows documentation issue
The 4Q2010 Agent Pack contains an older version of the 'Veritas High Availability Agent for SAP WebAS  Installation and Configuration Guide for Windows'. The correct version of this guide is available at the following location:www.symantec.com/docs/DOC3594

VCS agent for EMC MirrorView

The VCS agents for EMC MirrorView and MirrorViewSnap (the fire drill agent for EMC MirrorView) require NaviCLI version 6.28 or earlier.
VCS agent for Oracle DataGuard
Package version discrepancy
During the installation of the VCS agent for Oracle DataGuard version 5.0.08.0 on the Solaris SPARC platform, the agent version is incorrectly displayed as 5.0.07.0 on screen. However, the OraDG.xml file in the package shows the correct agent version: version 5.0.08.0.
Possible action timeout issues
With the Oracle DataGuard agent version 5.0.08.0, you might face action timeout issues during certain action entry points, such as the switchover action. In order to correct this issue, you must increase the values of the ActionTimeout and MonitorInterval  attributes.
Run the following commands to increase the values of the ActionTimeout and MonitorInterval  attributes :
Note: Run these commands after you have installed or upgraded to the Oracle DataGuard agent version 5.0.08.0 and have completed configuring the agent as instructed in the Veritas Oracle DataGuard Install and Configuration Guide.
These commands are applicable to the Solaris SPARC and Linux platforms.
 
1.     Open the VCS configuration for read-write.
# haconf -makerw
2.     Check the current ActionTimeout value. Default value is 30.
# hatype -display OraDG -attribute ActionTimeout
OraDG        ActionTimeout           30
3.     Increase the ActionTimeout to 150
# hatype -modify OraDG ActionTimeout 150
4.     Check the current MonitorInterval value. Default value is 60.
# hatype -display OraDG -attribute ActionTimeout
OraDG        ActionTimeout           60
5.     Increase the MonitorInterval to 300
# hatype -modify OraDG MonitorInterval 300
6.     Save and close the configuration.
# haconf –dump –makero

 

Issues relating to the Q32010 release

 

 Installing the agent for EMC RecoverPoint

The installer for the EMC RecoverPoint agent fails on the following platforms:
·          Windows Server 2003 on IA64
·          Windows Server 2008 on IA64
Workaround: Contact Symantec Technical support for a hotfix for these platforms.
Installing the agent for Oracle DataGuard
During the installation of the agent for Oracle DataGuard in a VCS 5.1 (or later) environment, on a Solaris x64 platform, the following warning message appears:
The <VRTSvcsor> package "VERITAS Cluster Server Oracle Extension" is a prerequisite package and should be installed.
Do you want to continue with the installation of <VRTScsodg> [y,n,?]
Workaround: Select y to continue with the installation. The installation process is now independent of the <VRTSvcsor> package.
Documentation errata
The corrections to the documentation set for the Agent Pack Q32010 release are as follows:
Installation and Configuration Guide for the Hitachi True Copy agent
The Installation and Configuration Guide in the Agent Pack tarball is outdated. Information about the changes made to the Hitachi True Copy agent can be found in the Release Notes.
Getting Started Guide
High availability and clustering solutions, page 17: The link to the Symantec High Availability Solution for WebSphere Message Broker technical note is incorrect. The updated technical note is available at the following location: http://entsupport.symantec.com/docs/315679
Release Notes
Known Issues, page 10: The documented issue for the EMC MirrorView replication agent no longer exists.
Incorrect agent version numbers
The agent version numbers mentioned in the Installation and Configuration Guides for the following agents are incorrect:
·          IBM SVCCopyServices: The documented agent version number is 5.0.0.6. The correct agent version number is 5.0.6.0.
·          DS4KRemoteServices: The documented agent version number is 5.0.0.2. The correct agent version number is 5.0.0.0.
·          NetApp SnapMirror: The documented agent version number is 5.0.9.0. The correct agent version number is 5.0.04.0.
·          EMC SRDFStar: The documented agent version number is 5.1.0.0. The correct agent version number is 5.0.05.0.
·          Hitachi TrueCopy/HUR/Hewlett-Packard XP Continuous Access: The documented agent version number is 5.0.03.0. The correct agent version number is 5.0.04.0.


Issues relating to the 2Q2010 release:

SAP Web Application Server agent installation issue
Installing the SAP Web Application Server agent on the Linux ppc64 platform gives the following error:
"VRTSsapwebas71-5.0.3.0-GA_GENERIC_noarch.i386 is intended for a i386 architecture"

Workaround: For installing the SAP Web Application Server agent on the Linux ppc64 platform, run the following command:
# rpm --ignorearch -ihv VRTSsapwebas71-AgentVersion-GA_GENERIC.noarch.rpm


Oracle DataGuard agent VRTSvcsor package dependency issue
The installer for Oracle DataGuard Agent (VRTScsodg) on VCS 5.1 for the Linux and Solaris platforms gives a warning about the dependency on the VRTSvcsor package.
Workaround: Ignore the dependency warning and continue with the installation.

For Linux
# rpm -ivh --nodeps VRTScsodg-5.0.06.0-Linux_GENERIC.noarch.rpm

For Solaris
# pkgadd -d . VRTScsodg

The installer gives the following warning:
"The <VRTSvcsor> package "VERITAS Cluster Server Oracle Extension" is a prerequisite package and should be installed."

Enter y at the following prompt:
Do you want to continue with the installation of <VRTScsodg> [y,n,?] y


NetApp agent installation issue (dependency on the perl(XML::Parser) module)

The NetApp SnapMirror agent depends on the perl(XML::Parser) module. This dependency is inherited from NaServer, which is an SDK interface for SnapMirror. If the perl(XML::Parser) module is not installed on your operating system, then the agent installation will fail. Make sure that you install this module before installing the SnapMirror agent.
For example on the RHEL platform, the install will fail with the following error:
# rpm -ivh VRTSvcsna-5.0.03.0-Linux_GENERIC.noarch.rpm
error: Failed dependencies:
  perl(XML::Parser) is needed by VRTSvcsna-5.0.03.0-Linux_GENERIC.noarch



Issues and enhancements relating to the Q12010 release:

Enhancements

Support for additional versions of PeopleSoft PeopleTools
Added support for PeopleSoft PeopleTools 8.41, 8.42, 8.43 on the AIX, HP-UX, Linux, and Solaris platforms.


Symantec Data Center Availability Solution for SAP
This solution is provided in the form of a technical white paper which describes the overall SAP availability environment and the Symantec Data Center Availability Solution. The white paper offers a technical overview of both the local availability and global availability in the SAP environment, and describes a few scenarios using the Symantec solution. The white paper is available at the following location:   http://support.veritas.com/docs/339257 


Issues


Issue with shared UNIX login on PeopleSoft 8.41, 8.42, 8.43 (Tuxedo 6.5) for Tuxedo agent
In case multiple Tuxedo instances share the same administrative UNIX login, the Tuxedo agent relies on the Tuxedo utility <TuxDir>/tmipcrm to identify IPC resources pertaining to a particular Tuxedo instance. Since this Tuxedo utility is not shipped along with Tuxedo 6.5, you must create a dummy executable 0-byte file at the same location.
To create the dummy executable file, as the Tuxedo user, run the following commands:
$ touch <TuxDir>/tmipcrm
$ chmod +x <TuxDir>/tmipcrm
Note# This activity is not needed if dedicated UNIX logins are used.



Incident: 2002900 Uninstall of the Oracle DataGuard agent is unsuccessful on Linux.
Workaround:
Run the following commands:
# rpm -e --noscripts VRTScsodg
# rm -rf /opt/VRTSvcs/bin/OraDGBroker
# rm -rf /opt/VTSCvcs/bin/OraDG


VCS One agents for Microsoft SQL Server
The VCS One agents for Microsoft SQL Server provide high availability and "Active-Active" support for Microsoft SQL Server 2005 and Microsoft SQL Server 2008 and its services in a VCS One cluster. In an Active-Active configuration, several SQL Server instances can run on a single system when required.

Incident 1975280
Issue with the agent attribute Help for VCS One agents on Windows

The agent attribute Help is not available in the VCS One Web GUI for the VCS One agents on Windows that are installed as a part of VCS One Agent Pack 1Q2010. [1975280]

Workaround: You must enable the Help manually. For instructions, contact Symantec Technical support.

Incident 1949183:
Issue with uninstallation of the SRDF agent on Windows

While uninstalling the SRDF agent on the Windows platform, the Agent Pack installer indicates that the uninstallation is successful; however, the installer does not remove the following files:
%VCSONE_HOME%\bin\SRDF\Actions\aya.pl
%VCSONE_HOME%\bin\SRDF\Actions\PreSwitch.pl
%VCSONE_HOME%\bin\SRDF\Actions\sigma.pl

Workaround: To clean up the system, you must manually remove these files.


Issues and enhancements relating to the Q42009 release:

Application Agents

Symantec Data Center Availability Solution for SAP
This solution is provided in the form of a technical white paper which describes the overall SAP availability environment and the Symantec Data Center Availability Solution. The white paper offers a technical overview of both the local availability and global availability in the SAP environment, and describes a few scenarios using the Symantec solution. The white paper is available at the following location:

http://support.veritas.com/docs/339257


Replication Agents

EVACA agent DR group failover issue
The HP Command View Storage System Scripting Utility (SSSU) does not allow DR group failover when replication is suspended and the write mode is synchronous. As a best practice recommended by HP, the Veritas Cluster Server EVACA agent always changes the write mode to synchronous before executing the failover command. Hence, even when the replication is suspended and the attribute SplitTakeover is set to 1, the agent will fail to bring the EVACA resource online if the DR group role is "destination.

Documentation issue
The installation and configuration guides for the Metro Mirror, HP EVA CA, Mirror View, NetApp SnapMirror, SRDF and SRDF Star Point agents incorrectly mention the agent version as 5.1. The correct version is 5.0.


Issues relating to the Q32009 release:

VCS 5.1 support for the following Veritas agents on the AIX, Linux, and Solaris platforms:

 

 

  • EMC SRDF
  • EMC SRDFStar
  • EMC MirrorView
  • Hitachi HTC
  • IBM SVCCopyServices
  • IBM MetroMirror/GlobalMirror
  • IBM DS4KRemoteMirror
  • HP EVACA
  • NetApp SnapMirror
  • Oracle Dataguard
  • IBM DB2HADR
  •  

 
What's new in Q32009 release:
 

 

  • Support for BEA Tuxedo 6.5 and 7.1 on the AIX, HP-UX, Linux, and Solaris platforms.
  • Enhanced ACC Library on the AIX, HP-UX, Linux, and Solaris platforms.
  •  


Issues relating to the Q22009 release:

Agent Pack installer issues

The installagpack program supports only the -addtypes, -rmtypes, -responsefile, and -rsh options. Symantec recommends that you do not use any of the other options from the installagpack command help output.

The uninstallagpack program supports only the -responsefile and -rsh options. Symantec recommends that you do not use any of the other options from the uninstallagpack command help output.


VCSOne agents' logs issues

The Veritas high availability agents for WebSphere Application Server, WebSphere MQ WebLogic Server and Siebel display debug messages in the engine log, during all the agent operations.
For example for WebSphere MQ agent the following type of debug message appears,

2009-06-18 18:11:01 VCS One DBG_1 V-97-10011-0 WebSphereMQ6:???:online:Attribute
AEPTimeout not found in the argument list.

Workaround: Ignore the messages



HTCSnap resource issue

This issue is faced for the following VCS releases on the HP-UX platform.

VCS 5.0 on HP-UX 11i v3
VCS 5.0 MP1 on HP-UX 11i v2
VCS 5.0 MP2 on HP-UX 11i v2

The HTCSnap resource fails to come online when the fire drill process is started. This issue arises due to the old version of ArrayRep.pm file that was shipped during the said VCS releases.

Workaround: The updated ArrayRep.pm file is available as a patch at the following location. A readme file is also available for the directions of use.

https://vias.symantec.com/labs/vpcs/vpcs/patchinfo/2306

DS4KRemoteMirror agent attributes

1. Type-dimension for LocalStorageName attribute should be string-vector.
2. Type-dimension for LogicalDrives attribute should be string-vector.
3. The value for Mode attribute should either be 'sync' or 'async'. Currently, only     '
   'sync' mode is supported.
Issues regarding DS4KRemoteMirror Documentation:

The Installation and Configuration Guide for DS4KRemoteMirror cites support for Veritas Storage Foundation for Oracle RAC. However, the agent extends support only for Veritas Storage Foundation and not for Veritas Storage Foundation for Oracle RAC.



Issues relating to the 1Q09 release:

Agent support for minor versions of VCS:

The support information given in the agent documentation and the Agent Pack matrix does not always mention the minor versions of Veritas Cluster Server (VCS) supported by Veritas agents.

The following table lists the supported minor versions of VCS corresponding to the base VCS version.

Base VCS version supported by the agent Minor VCS versions supported by the agent Supported platforms
VCS 3.5 Subsequent updates HP-UX
VCS 4.0 Subsequent maintenance packs AIX
VCS 4.1 Subsequent maintenance packs and rolling patches HP-UX, Linux, and Solaris
VCS 5.0 Subsequent maintenance packs, rolling patches and release updates AIX, HP-UX, Linux, and Solaris



This information is applicable to the following Veritas agents which are available on the Agent Pack disc:

·      All application agents
·      All replication agents
·      Informix database agent
·      SAP MaxDB database agent

Updated information about platform support
A few of the Veritas VCS and high availability agents now support newer versions of the various platforms. However, the agent documentation available in the 1Q09 Agent Pack disc does not contain this information.

 

    ·      The ACC Library now supports the RHEL5, SLES 10, and HP-UX IA platforms.
    ·      The Veritas Cluster Server agent for Informix now supports the AIX 5.1, 5.2, and HP-UX 11iv3 platforms.
    ·      The Veritas Cluster Server agents for Oracle e-Business Components and Oracle e-Business Concurrent Manager now support the AIX 5.1, 5.2, HP-UX 11iv3, and SLES 9, 10 platforms.
    ·      The Veritas High Availability agents for WebLogic, WebSphere, and WebSphereMQ now support the SLES 9 platform.
    ·      The Agent Builder tool now supports the SLES 9 platform.


Documentation issues

Siebel CRM agent documentation issue
In the 1Q09 Agent Pack disc, the Veritas High Availability Agent for Siebel CRM Installation and Configuration Guide is incorrectly packaged.
The correct version of the Siebel agent installation and configuration guide is available at the following locations on the Agent Pack disc: cd_mount/aix/high_availability_agents/docs/vha_siebel_install.pdf
cd_mount/solaris/sparc/high_availability_agents/docs/vha_siebel_install.pdf

Oracle Data Guard agent documentation issue
The 1Q09 Agent Pack disc contains an older version of the Veritas Cluster Server Agent for Oracle Data Guard Installation and Configuration Guide.
The correct version of the Oracle Data Guard agent installation and configuration guide is available at the following location:

http://seer.entsupport.symantec.com/docs/284005.htm 


Issues relating to the Veritas VCS One 2.0.1 agent for Oracle

IntentionalOffline for the Oracle and Netslnr agents is not supported
VCS One 2.0.1 does not support the IntentionalOffline feature for the Oracle and Netlsnr agents for any of the client platforms.

The MonitorOption attribute is not supported in Oracle9i
The MonitorOption attribute used by the VCS One agent for Oracle (UNIX) is supported in Oracle 10g and later. It is not supported in Oracle9i. [1298513]


Oracle agent health check may not work
If you set MonitorOption to 1, Oracle agent health check monitoring may not function when the following message is displayed:
Warning message - Output after executing Oracle Health Check is: GIM-00105: Shared memory region is corrupted. [998494]
Workaround: Set MonitorOption to 0 to continue monitoring the resource.

Agent Pack installer issues

The installagpack program supports only the -addtypes, -rmtypes, -responsefile, and -rsh options. Symantec recommends that you do not use any of the other options from the installagpack command help output.

The uninstallagpack program supports only the -responsefile and -rsh options. Symantec recommends that you do not use any of the other options from the uninstallagpack command help output.


Issues relating to the 4Q08 release:

Agent Builder tool issue with VCS 4.x
Issue:
The agent created by the Agent Builder tool does not get deployed on the specified system with Veritas Cluster Server 4.x.

Workaround:
To resolve the issue:
* Upgrade VRTSperl to version 5.8.2. or later, or
* Use the following workaround:
 1. Locate the <agentname>.tar file in the /opt/VRTSvcs/bin/AgentBuilder directory.
 For example, if a new agent AcmeApp is created using the Agent Builder tool, then the AcmeApp.tar file will be available in the /opt/VRTSvcs/bin/AgentBuilder directory.
 2. Extract the <agentname>.tar file in the root directory on all the nodes.
    The agent is deployed on all the nodes.


Documentation issue in the SAP NetWeaver Installation and Configuration Guide
Issue:
The command for starting the SAP NetWeaver wizard is wrongly documented as "hawizard SAPNW04". The string "SAPNW04" must be in lowercase.

Workaround:
To start the SAP NetWeaver wizard, use the command "hawizard sapnw04".


Package installation issue with the SAP NetWeaver, SAP liveCache, and SAP MaxDB agents on the Linux platform
Issue:
The agent package for the SAP NetWeaver, SAP liveCache, and SAP MaxDB agents for the Linux platform fails to create symbolic links for agent entry points. This is due to an issue with the packaging tool. This issue is applicable to the SAP NetWeaver, SAP liveCache, and SAP MaxDB agents shipped on the 3Q08 and 4Q08 Agent Pack.

Workaround:
To resolve the issue:
* Use the agent packages from the 2Q 2008 Agent Pack, or
* If you have installed the agents from the 3Q08 or 4Q08 Agent Pack, perform the following steps:
1. Go to the agent directory on the Agent Pack CD.
  For SAP NetWeaver, type the following command:
  On VCS 5.0
   cd /opt/VRTSagents/ha/bin/SAPNW04

  On VCS 4.x
   cd /opt/VRTSvcs/bin/SAPNW04


  For SAP liveCache, type the following command:

  On VCS 5.0
   cd /opt/VRTSagents/ha/bin/SAPLiveCache

  On VCS 4.x
   cd /opt/VRTSvcs/bin/SAPLiveCache


  For SAP MaxDB, type the following command:

  On VCS 5.0
   cd /opt/VRTSagents/ha/bin/SAPMaxDB

  On VCS 4.x
   cd /opt/VRTSvcs/bin/SAPMaxDB

2. Create the following symbolic links for VCS 5.0
  For SAP NetWeaver, type the following commands:
  ln -s monitor /opt/VRTSagents/ha/bin/SAPNW04/online
  ln -s monitor /opt/VRTSagents/ha/bin/SAPNW04/offline
  ln -s monitor /opt/VRTSagents/ha/bin/SAPNW04/clean

  For SAP liveCache, type the following commands:
  ln -s monitor /opt/VRTSagents/ha/bin/SAPLiveCache/online
  ln -s monitor /opt/VRTSagents/ha/bin/SAPLiveCache/offline
  ln -s monitor /opt/VRTSagents/ha/bin/SAPLiveCache/clean

  For SAP MaxDB, type the following commands:
  ln -s monitor /opt/VRTSagents/ha/bin/SAPLiveCache/online
  ln -s monitor /opt/VRTSagents/ha/bin/SAPLiveCache/offline
  ln -s monitor /opt/VRTSagents/ha/bin/SAPLiveCache/clean

3. Create the following symbolic links for VCS 4.x
  For SAP NetWeaver, type the following commands:
  ln -s monitor /opt/VRTSvcs/bin/SAPNW04/online
  ln -s monitor /opt/VRTSvcs/bin/SAPNW04/offline
  ln -s monitor /opt/VRTSvcs/bin/SAPNW04/clean

  For SAP liveCache, type the following commands:
  ln -s monitor /opt/VRTSvcs/bin/SAPLiveCache/online
  ln -s monitor /opt/VRTSvcs/bin/SAPLiveCache/offline
  ln -s monitor /opt/VRTSvcs/bin/SAPLiveCache/clean

  For SAP MaxDB, type the following commands:
  ln -s monitor /opt/VRTSvcs/bin/SAPMaxDB/online
  ln -s monitor /opt/VRTSvcs/bin/SAPMaxDB/offline
  ln -s monitor /opt/VRTSvcs/bin/SAPMaxDB/clean

Issues relating to the Agent Pack 3Q08 release:

Support for Veritas Storage Foundation Cluster File System for Oracle RAC (SFCFS for Oracle RAC)

The following agents in the 3Q08 Agent Pack support SFCFS for Oracle RAC 5.0MP3 on Linux:
* Veritas Cluster Server agent for Hitachi TrueCopy
* Veritas Cluster Server agent for EMC SRDF

Documentation issues in the 3Q08 Agent Pack release

 

    In the 3Q08 Agent Pack disc, the Veritas Cluster Server One Agent for Oracle Installation and Configuration Guide incorrectly mentions the agent version as 5.2.  
    The correct agent version is 5.1, and the document version is 5.1.0.
    In the 3Q08 Agent Pack disc, the agent documentation for the VCS 5.0 MP3 database agents is either not packaged or is incorrectly packaged.
    This issue is applicable to the DB2, Oracle, and Sybase guides for all VCS 5.0 MP3-supported platforms.
    For example, the guide for the Oracle agent for Linux RHEL4_i686 platform that is located in the following directory is an older version:
    <agentpack_topdir>/linux/rhel4_i686/database/oracle_agent/5.0MP3/docs/

To access the current VCS 5.0 MP3 documentation for the database agents, use the following URL:

http://www.symantec.com/business/support/overview.jsp?pid=15066


External location of Agent Pack 3Q08
:

https://fileconnect.symantec.com/LangSelection.jsp



Issues relating to the Q208 release:

Documentation issue in the 2Q08 Agent Pack release

The 2Q08 Agent Pack disc contains a draft version of the following Oracle e-Business guides:

- Veritas High Availability Agent for Oracle e-Business Concurrent Manager Installation and Configuration Guide
 Platforms: AIX, HP-UX, Linux, Solaris
 VCS Version: 5.0

- Veritas High Availability Agent for Oracle e-Business Components Installation and Configuration Guide
 Platforms: AIX, HP-UX, Linux, Solaris
 VCS Version: 5.0

The latest versions of these guides are available at the following location:
- Oracle e-Business Concurrent Manager: http://seer.entsupport.symantec.com/docs/305519.htm 
- Oracle e-Business Components:  http://seer.entsupport.symantec.com/docs/305518.htm
Use these versions of the guides instead of the ones available on the 2Q08 Agent Pack disc.


Issues relating to the 1Q08 release:

SAPNW04 Agent for 1Q08 Agent Pack Release:

Problem: VCS GUI displays incorrect Instance Type value for SAPNW04 resource. [e1245514]

The error occurs because the SAPNW04.xml file that was shipped along with the agent has a typographical error for Instance Type values. This error is observed in the SAPNW04 agent for VCS 4.1 and VCS 5.0.

Workaround:
 
Use the hares command to modify the value for InstType attribute (ENQREP/AENQREP/JENQREP) for Enqueue Replication server resource.

Example: Hares -modify Resource_Name InstType ENQREP

This error will be fixed in the 2Q08 Agent Pack Release.


Issues relating to the December 4Q07 release
:

Support for Oracle 11g

Supported environments for Oracle 11g:

1. Veritas Cluster Server 5.0 for AIX, HP-UX, Linux, or Solaris with Veritas Cluster Server 5.0 Agent for Oracle
 
2. Veritas Cluster Server 4.1 for Solaris with Veritas Cluster Server 4.1 Agent for Oracle

Note: For Oracle 11g support, the MonitorOption attribute must be set to 0.


Veritas High Availability Agent Pack 3Q07:

Issues relating to the October 3Q07 release:

- No Issues.

External location of Agent Pack 3Q07:

https://fileconnect.symantec.comLangSelection.jsp

Issues relating to June 2Q07 release:

- No Issues.

External location of Agent Pack 2Q07:

https://fileconnect.symantec.com/LangSelection.jsp


Issues relating to December 4Q06 release:

- The 5.0 fire drill agents are not supported on HxRT 5.0.

- Replication agents are not supported with Linux Logical Volume Manager (LVM).

 - Replication agents do not support multiple secondaries.



March 2006 Release

Issues relating to March 06 release:

The Veritas High Availability Agent 4.1 WebLogic Server Installation and Configuration Guide http://support.veritas.com/docs/282237 contains incorrect information in the matrix on page 3, where the supported environment for the agent is discussed. The correct supported environment for the agent is as follows:

Environment                                  Supported versions
======================================================

Veritas Cluster Server                    AIX--VCS 4.0
                                                   HP-UX--VCS 4.1
                                                   Linux--VCS 4.0, 4.1
                                                   Solaris--VCS 4.0, 4.1

Veritas Application Director            AIX--VAD 1.0
                                                   Linux--VAD 1.0
                                                   Solaris--VAD 1.0

ACC Library                                 4.1.04.0

Operating Systems                       AIX 5.1, 5.2, 5.3 on pSeries
                                                   Red Hat Enterprise Linux 3.0, 4.0 on Intel
                                                   Solaris 8, 9, 10 on SPARC
                                                  HP-UX 11i V2 on PA-RISC

WebLogic Server                          9.0



 

 

  •  

 

  •  

 

 

 1.            Navigate to the rpms directory:
                # cd 2Q11_Agent_Pack/cd1/linux/rhel5_x86_64/application_ha/5.1/rpms
 
2.            Install the VRTSvcsvmw RPM:
 
                Note: In the following command, ensure that you use the upgrade RPM option as indicated below. Do not instead use the erase (“rpm –e…”) option,          followed by the install (“rpm –i…”) option.
 
                # rpm –Uvh VRTSvcsvmw*.rpm

 


Supplemental Materials

SourceETrack
Value1245514
Description

Displaying WRONG Entries for SAPNW04 agent via VCSGUI for InstType Attribute values.


SourceETrack
Value2003900
Description

DataGuard: Uninstall of rpm unsuccessful


SourceETrack
Value1949183
Description

SRDF agent is not getting uninstalled through Agent Pack Installer


SourceETrack
Value1975280
Description

No help shown for agent attributes in web-gui when the agent type is added using Agent Pack



Legacy ID



282004


Article URL http://www.symantec.com/docs/TECH46455


Terms of use for this information are found in Legal Notices